<script setup>
import RoomTabs from '../components/RoomTabs.vue'
import Sidebar from '../components/SideBar.vue'
import LecTable from '../components/LecTable.vue'
import NavBar from '../components/NavBar.vue'
import { ref, onMounted, inject, watch } from 'vue'


const dayjs = inject('dayjs')
const axios = inject('axios')  // inject axios
const selectedRoom = ref(0)
const selectedDate = ref([])
const lections = ref([])
const userRole = ref()


function getAvailableLections(){
  
      selectedDate.value = dayjs().format('YYYY-MM-DD')
        axios.get(`${localStorage.getItem("username")}/lections/${selectedRoom.value}/${selectedDate.value}/${localStorage.getItem("jwt")}`)
      .then(response => (lections.value = response.data))
    }


onMounted(() => {
      userRole.value = localStorage.getItem("role")
        selectedDate.value = dayjs().format('YYYY-MM-DD')
        axios.get(`${localStorage.getItem("username")}/lections/${selectedRoom.value}/${selectedDate.value}/${localStorage.getItem("jwt")}`)
      .then(response => (lections.value = response.data));
    });


watch([selectedRoom, selectedDate], (newSelectedtion) => {
    
     axios.get(`${localStorage.getItem("username")}/lections/${newSelectedtion[0]}/${newSelectedtion[1]}/${localStorage.getItem("jwt")}`) 
       .then(response => (lections.value = response.data)); 
})

</script>

<template>
  <NavBar></NavBar>
   <header class="bg-slate-50">
    <div class="mx-auto max-w-7xl px-4 py-6 sm:px-6 lg:px-8">
      <h1 class="text-3xl font-bold tracking-tight text-gray-900 text-center">Home</h1>
    </div>
  </header>
  <main>
    <div class="grid grid-flow-col gap-4 grid-cols-[min-content_1fr]">
      <div>
        
        <Sidebar v-model="selectedDate"/>
      </div>
     
      <div v-if="userRole==='user'" class="pt-4 px-8">
        
        <RoomTabs v-model="selectedRoom"/>
     
        <LecTable @submit_success="getAvailableLections"  :lections="lections"/>
        
      </div>
    </div>
  </main>
</template>
